---
lang: en
title: 'API docs: boot.modelapibooter.setupmodel'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/boot
permalink: /doc/en/lb4/apidocs.boot.modelapibooter.setupmodel.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [ModelApiBooter](./boot.modelapibooter.md) &gt; [setupModel](./boot.modelapibooter.setupmodel.md)

## ModelApiBooter.setupModel() method

Set up the loaded model classes

<b>Signature:</b>

```typescript
setupModel(configFile: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  configFile | string |  |

<b>Returns:</b>

Promise&lt;void&gt;


